org.apache.lucene.search

## Class IndriAndQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.search.IndriQuery
    - - org.apache.lucene.search.IndriAndQuery

All Implemented Interfaces:
  Iterable<BooleanClause>

    public class IndriAndQuery
    extends IndriQuery

A Query that matches documents matching combinations of subqueries.

### Constructor Summary

Constructors
Constructor and Description
`IndriAndQuery(List<BooleanClause> clauses)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Weight` `createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)` Expert: Constructs an appropriate Weight implementation for this query.

### Methods inherited from class org.apache.lucene.search.IndriQuery

`equals, getClauses, hashCode, iterator, toString, visit`

### Methods inherited from class org.apache.lucene.search.Query

`classHash, rewrite, sameClassAs, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### IndriAndQuery

    public IndriAndQuery(List<BooleanClause> clauses)

### Method Detail

#### createWeight

    public Weight createWeight(IndexSearcher searcher,
                               ScoreMode scoreMode,
                               float boost)
                        throws IOException

Description copied from class: `Query`
Expert: Constructs an appropriate Weight implementation for this query.

Only implemented by primitive queries, which re-write to themselves.

Specified by:
  `createWeight` in class `IndriQuery`
  `scoreMode` - How the produced scorers will be consumed.
  `boost` - The boost that is propagated by the parent queries.
Throws:
  `IOException`